package com.ssj.service.kmt.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.service.kmt.dto.exercise.ExerciseQuestionAnswerValue;

import java.io.Serializable;
import java.util.List;

public class OriginalQuestionDTO implements Serializable {

    private static final long serialVersionUID = -1591166337769134371L;

    private String id;

    @JSONField(serialize = false)
    private String bookId;

    @JSONField(serialize = false)
    private String parentId;

    @JSONField(serialize = false)
    private Integer num;

    private Integer type;
    private String question;

    private List<ExerciseQuestionAnswerValue> questionJson;

    @JSONField(serialize = false)
    private Integer isWrong;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public List<ExerciseQuestionAnswerValue> getQuestionJson() {
        return questionJson;
    }

    public void setQuestionJson(List<ExerciseQuestionAnswerValue> questionJson) {
        this.questionJson = questionJson;
    }

    public Integer getIsWrong() {
        return isWrong;
    }

    public void setIsWrong(Integer isWrong) {
        this.isWrong = isWrong;
    }
}
